## org.apache.cassandra.cql3.statements
Class CreateColumnFamilyStatement.RawStatement

    java.lang.Object
      org.apache.cassandra.cql3.statements.ParsedStatement
          org.apache.cassandra.cql3.statements.CFStatement
              org.apache.cassandra.cql3.statements.CreateColumnFamilyStatement.RawStatement

Enclosing class:
  CreateColumnFamilyStatement

    public static class CreateColumnFamilyStatement.RawStatement

extends CFStatement

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement
`ParsedStatement.Prepared`

Field Summary

Fields inherited from class org.apache.cassandra.cql3.statements.CFStatement
`cfName`

Constructor Summary
`CreateColumnFamilyStatement.RawStatement(CFName name)`

Method Summary
`void` `addColumnAlias(ColumnIdentifier alias)`
`void` `addDefinition(ColumnIdentifier def, java.lang.String type)`
`void` `addProperty(java.lang.String name, java.lang.String value)`
`void` `checkAccess(ClientState state)`
`CqlResult` `execute(ClientState state, java.util.List<java.nio.ByteBuffer> variables)`
`ParsedStatement.Prepared` `prepare()` Transform this raw statement into a CreateColumnFamilyStatement.
`void` `setCompactStorage()`
`void` `setKeyAlias(ColumnIdentifier alias)`
`void` `setOrdering(ColumnIdentifier alias, boolean reversed)`

Methods inherited from class org.apache.cassandra.cql3.statements.CFStatement
`columnFamily, keyspace, prepareKeyspace`

Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement
`getBoundsTerms, setBoundTerms`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateColumnFamilyStatement.RawStatement

    public CreateColumnFamilyStatement.RawStatement(CFName name)

Method Detail

### prepare

    public ParsedStatement.Prepared prepare()
                                     throws InvalidRequestException

  Transform this raw statement into a CreateColumnFamilyStatement.

  Specified by:
    `prepare` in class `ParsedStatement`
  Throws:
    `InvalidRequestException`

### addDefinition

    public void addDefinition(ColumnIdentifier def,
                              java.lang.String type)

### setKeyAlias

    public void setKeyAlias(ColumnIdentifier alias)

### addColumnAlias

    public void addColumnAlias(ColumnIdentifier alias)

### addProperty

    public void addProperty(java.lang.String name,
                            java.lang.String value)
                     throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### setOrdering

    public void setOrdering(ColumnIdentifier alias,
                            boolean reversed)

### setCompactStorage

    public void setCompactStorage()

### checkAccess

    public void checkAccess(ClientState state)

### execute

    public CqlResult execute(ClientState state,
                             java.util.List<java.nio.ByteBuffer> variables)

Copyright © 2013 The Apache Software Foundation